%define fw_version 5.24

Summary:	KDE Frameworks 5 module with various classes for hardware information
Name:		solid
Version:	5.24.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
Url:		https://www.kde.org/
BuildRequires:	bison
BuildRequires:	extra-cmake-modules
BuildRequires:	flex
BuildRequires:	qt5-linguist-tools
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(udev)
# Enables identification and querying of portable media players
# Support for m-p-i is included even if not found during build
Suggests:	media-player-info

%description
KDE Frameworks 5 module with various classes for hardware information.

%files
%{_kde5_bindir}/solid-hardware5

#--------------------------------------------------------------------

%package i18n
Summary:	Solid translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
Solid translations.

%files i18n -f %{name}.lang

#--------------------------------------------------------------------

%define qmlkf5solid %mklibname kf5solid-qml

%package -n %{qmlkf5solid}
Summary:	QML plugin for KDE Frameworks 5 Solid
Group:		System/Libraries
Provides:	kf5solid-qml = %{EVRD}

%description -n %{qmlkf5solid}
QML plugin for KDE Frameworks 5 Solid.

%files -n %{qmlkf5solid}
%dir %{_kde5_qmldir}/org/kde/solid/
%{_kde5_qmldir}/org/kde/solid/*

#--------------------------------------------------------------------

%define kf5solid_major 5
%define libkf5solid %mklibname kf5solid %{kf5solid_major}

%package -n %{libkf5solid}
Summary:	KDE Frameworks 5 Solid shared library
Group:		System/Libraries
Requires:	%{name}-i18n
Requires:	%{qmlkf5solid}

%description -n %{libkf5solid}
KDE Frameworks 5 Solid shared library.

%files -n %{libkf5solid}
%{_kde5_libdir}/libKF5Solid.so.%{kf5solid_major}*

#--------------------------------------------------------------------

%define devkf5solid %mklibname kf5solid -d

%package -n %{devkf5solid}
Summary:	Development files for KDE Frameworks 5 Solid
Group:		Development/KDE and Qt
Requires:	%{libkf5solid} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5solid-devel = %{version}

%description -n %{devkf5solid}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5solid}
%{_kde5_includedir}/KF5/Solid
%{_kde5_includedir}/KF5/solid_version.h
%{_kde5_libdir}/cmake/KF5Solid
%{_kde5_libdir}/libKF5Solid.so
%{_kde5_mkspecsdir}/*.pri

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --all-name --with-qt

%changelog

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (8deee14) New version 5.24.0


